CVE-2011-4077

Bug #887298 reported by Marc Deslauriers on 2011-11-07
258
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-armadaxp (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-ec2 (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-flo (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-fsl-imx51 (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-goldfish (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-lts-backport-maverick (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
Raring
Low
Unassigned
Saucy
Low
Unassigned
Trusty
Low
Unassigned
Utopic
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-lts-backport-natty (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
Raring
Low
Unassigned
Saucy
Low
Unassigned
Trusty
Low
Unassigned
Utopic
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-lts-backport-oneiric (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
Raring
Low
Unassigned
Saucy
Low
Unassigned
Trusty
Low
Unassigned
Utopic
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-lts-quantal (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-lts-raring (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-lts-saucy (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-lts-trusty (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-lts-utopic (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-lts-vivid (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-lts-wily (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-lts-xenial (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Undecided
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-mako (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-manta (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-mvl-dove (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-raspi2 (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned
linux-ti-omap4 (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Trusty
Low
Unassigned
Vivid
Low
Unassigned
Wily
Low
Unassigned
Xenial
Low
Unassigned

Bug Description

Buffer overflow in the xfs_readlink function in fs/xfs/xfs_vnodeops.c in XFS in the Linux kernel 2.6, when CONFIG_XFS_DEBUG is disabled, allows local users to cause a denial of service (memory corruption and crash) and possibly execute arbitrary code via an XFS image containing a symbolic link with a long pathname.

Break-Fix: - b52a360b2aa1c59ba9970fb0f52bbb093fcc7a24

Marc Deslauriers (mdeslaur) wrote :

CVE-2011-4077

tags: added: kernel-cve-tracking-bug
security vulnerability: no → yes
security vulnerability: no → yes
Changed in linux-ec2 (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Precise):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Hardy):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Natty):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Hardy):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Maverick):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Natty):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Hardy):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Maverick):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Natty):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Precise):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Hardy):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Natty):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Hardy):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Maverick):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Natty):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Lucid):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Hardy):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Precise):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Hardy):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Maverick):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Natty):
status: New → Invalid
description: updated
Changed in linux-ec2 (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Maverick):
status: New → Invalid
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Natty):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Maverick):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Natty):
importance: Undecided → Low
Changed in linux-lts-backport-natty (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-lts-backport-natty (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-lts-backport-natty (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-lts-backport-natty (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-lts-backport-natty (Ubuntu Maverick):
importance: Undecided → Low
Changed in linux-lts-backport-natty (Ubuntu Natty):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Maverick):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Natty):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Maverick):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Natty):
importance: Undecided → Low
Changed in linux (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux (Ubuntu Precise):
importance: Undecided → Low
Changed in linux (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux (Ubuntu Maverick):
importance: Undecided → Low
Changed in linux (Ubuntu Natty):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Maverick):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Natty):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Maverick):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Natty):
importance: Undecided → Low
description: updated
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Andy Whitcroft (apw) on 2011-11-21
Changed in linux-ti-omap4 (Ubuntu Maverick):
assignee: nobody → Andy Whitcroft (apw)
status: New → In Progress
Changed in linux-ti-omap4 (Ubuntu Natty):
assignee: nobody → Andy Whitcroft (apw)
status: New → In Progress
Changed in linux-ti-omap4 (Ubuntu Oneiric):
assignee: nobody → Andy Whitcroft (apw)
status: New → In Progress
Changed in linux-mvl-dove (Ubuntu Maverick):
status: New → In Progress
Changed in linux-mvl-dove (Ubuntu Lucid):
status: New → In Progress
Andy Whitcroft (apw) on 2011-11-21
Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
status: New → In Progress
Changed in linux-lts-backport-natty (Ubuntu Lucid):
status: New → In Progress
Changed in linux-lts-backport-maverick (Ubuntu Lucid):
status: New → In Progress
Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: New → In Progress
assignee: nobody → Andy Whitcroft (apw)
Changed in linux-ec2 (Ubuntu Lucid):
status: New → In Progress
Changed in linux (Ubuntu Oneiric):
assignee: nobody → Andy Whitcroft (apw)
status: New → In Progress
Changed in linux (Ubuntu Natty):
assignee: nobody → Andy Whitcroft (apw)
status: New → In Progress
Changed in linux (Ubuntu Maverick):
assignee: nobody → Andy Whitcroft (apw)
status: New → In Progress
Changed in linux (Ubuntu Lucid):
assignee: nobody → Andy Whitcroft (apw)
status: New → In Progress
Changed in linux (Ubuntu Hardy):
assignee: nobody → Andy Whitcroft (apw)
status: New → In Progress
Tim Gardner (timg-tpi) on 2011-11-21
Changed in linux (Ubuntu Hardy):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Lucid):
status: In Progress → Fix Committed
Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Maverick):
status: In Progress → Fix Committed
Changed in linux-ti-omap4 (Ubuntu Maverick):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in linux-ti-omap4 (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Committed
Changed in linux-ec2 (Ubuntu Lucid):
status: In Progress → Fix Committed
Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
status: In Progress → Fix Committed
Changed in linux-lts-backport-natty (Ubuntu Lucid):
status: In Progress → Fix Committed
Changed in linux-mvl-dove (Ubuntu Lucid):
status: In Progress → Fix Committed
Changed in linux-mvl-dove (Ubuntu Maverick):
status: In Progress → Fix Committed
Changed in linux-lts-backport-maverick (Ubuntu Lucid):
status: In Progress → Fix Committed
Changed in linux-ti-omap4 (Ubuntu Oneiric):
status: In Progress → Fix Committed
Changed in linux-ti-omap4 (Ubuntu Precise):
status: New → Fix Committed
Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.24-30.97

---------------
linux (2.6.24-30.97) hardy-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #897225

  [Upstream Kernel Changes]

  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * hfs: add sanity check for file name length, CVE-2011-4330
    - LP: #894374
    - CVE-2011-4330
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 28 Nov 2011 11:39:07 -0200

Changed in linux (Ubuntu Hardy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-31.63

---------------
linux (2.6.35-31.63) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #897265

  [ Upstream Kernel Changes ]

  * crypto: ghash - Avoid null pointer dereference if no key is set
    - LP: #887299
    - CVE-2011-4081
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * hfs: add sanity check for file name length, CVE-2011-4330
    - LP: #894374
    - CVE-2011-4330
  * ipv6: udp: fix the wrong headroom check
    - LP: #894373
    - CVE-2011-4326
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 28 Nov 2011 14:05:38 -0200

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-backport-maverick - 2.6.35-31.63~lucid1

---------------
linux-lts-backport-maverick (2.6.35-31.63~lucid1) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #897744

  [ Upstream Kernel Changes ]

  * crypto: ghash - Avoid null pointer dereference if no key is set
    - LP: #887299
    - CVE-2011-4081
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * hfs: add sanity check for file name length, CVE-2011-4330
    - LP: #894374
    - CVE-2011-4330
  * ipv6: udp: fix the wrong headroom check
    - LP: #894373
    - CVE-2011-4326

linux (2.6.35-31.62) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #887378

  [ Upstream Kernel Changes ]

  * ipv6: restore correct ECN handling on TCP xmit
    - LP: #872179
  * nl80211: fix overflow in ssid_len - CVE-2011-2517
    - LP: #869245
    - CVE-2011-2517
  * vm: fix vm_pgoff wrap in stack expansion - CVE-2011-2496
    - LP: #869243
    - CVE-2011-2496
  * vm: fix vm_pgoff wrap in upward expansion - CVE-2011-2496
    - LP: #869243
    - CVE-2011-2496
  * ksm: fix NULL pointer dereference in scan_get_next_rmap_item() -
    CVE-2011-2183
    - LP: #869227
    - CVE-2011-2183
  * NLM: Don't hang forever on NLM unlock requests - CVE-2011-2491
    - LP: #869237
    - CVE-2011-2491
  * cifs: clean up cifs_find_smb_ses (try #2), CVE-2011-1585
    - LP: #869208
    - CVE-2011-1585
  * cifs: fix NULL pointer dereference in cifs_find_smb_ses, CVE-2011-1585
    - LP: #869208
    - CVE-2011-1585
  * cifs: check for NULL session password, CVE-2011-1585
    - LP: #869208
    - CVE-2011-1585
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 29 Nov 2011 15:42:23 -0200

Changed in linux-lts-backport-maverick (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ti-omap4 - 2.6.38-1209.18

---------------
linux-ti-omap4 (2.6.38-1209.18) natty-proposed; urgency=low

  * Release Tracking Bug
    - LP: #897566

  [ Upstream Kernel Changes ]

  * crypto: ghash - Avoid null pointer dereference if no key is set
    - LP: #887299
    - CVE-2011-4081
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * inetpeer: reduce stack usage, CVE-2011-4087
    - LP: #887302
    - CVE-2011-4087
  * hfs: add sanity check for file name length, CVE-2011-4330
    - LP: #894374
    - CVE-2011-4330
  * ipv6: udp: fix the wrong headroom check
    - LP: #894373
    - CVE-2011-4326
 -- Paolo Pisati <email address hidden> Fri, 02 Dec 2011 13:15:41 +0100

Changed in linux-ti-omap4 (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.1 KiB)

This bug was fixed in the package linux-lts-backport-natty - 2.6.38-13.53~lucid1

---------------
linux-lts-backport-natty (2.6.38-13.53~lucid1) lucid-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #897567

  [ Upstream Kernel Changes ]

  * cifs, freezer: add wait_event_freezekillable and have cifs use it
    - LP: #24330
  * Fixup trivial checkpatch warning
    - LP: #24330
  * Fix build break when freezer not configured
    - LP: #24330
  * PM / Freezer: Reimplement wait_event_freezekillable using
    freezer_do_not_count/freezer_count
    - LP: #24330
  * crypto: ghash - Avoid null pointer dereference if no key is set
    - LP: #887299
    - CVE-2011-4081
  * ata_piix: make DVD Drive recognisable on systems with Intel Sandybridge
    chipsets(v2)
    - LP: #737388, #782389, #794642
  * drm/i915: fix CB tuning check for ILK+
    - LP: #891031
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * hfs: add sanity check for file name length, CVE-2011-4330
    - LP: #894374
    - CVE-2011-4330

linux (2.6.38-13.52) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #887379

  [ Konrad Rzeszutek Wilk ]

  * SAUCE: x86/paravirt: Partially revert "remove lazy mode in interrupts"
    - LP: #854050

  [ Ming Lei ]

  * SAUCE: [media] uvcvideo: Set alternate setting 0 on resume if the bus
    has been reset
    - LP: #816484

  [ Seth Forshee ]

  * SAUCE: acer-wmi: Add wireless quirk for Lenovo 3000 N200
    - LP: #857297

  [ Upstream Kernel Changes ]

  * Make TASKSTATS require root access, CVE-2011-2494
    - LP: #866021
    - CVE-2011-2494
  * proc: restrict access to /proc/PID/io, CVE-2011-2495
    - LP: #866025
    - CVE-2011-2495
  * proc: fix a race in do_io_accounting(), CVE-2011-2495
    - LP: #866025
    - CVE-2011-2495
  * staging: comedi: fix infoleak to userspace, CVE-2011-2909
    - LP: #869261
    - CVE-2011-2909
  * perf tools: do not look at ./config for configuration, CVE-2011-2905
    - LP: #869259
    - CVE-2011-2905
  * e1000e: workaround for packet drop on 82579 at 100Mbps
    - LP: #870127
  * eCryptfs: Remove unnecessary grow_file() function
    - LP: #745836
  * eCryptfs: Remove ECRYPTFS_NEW_FILE crypt stat flag
    - LP: #745836
  * block: blkdev_get() should access ->bd_disk only after success
    - LP: #857170
  * ipv6: restore correct ECN handling on TCP xmit
    - LP: #872179
  * nl80211: fix overflow in ssid_len - CVE-2011-2517
    - LP: #869245
    - CVE-2011-2517
  * ksm: fix NULL pointer dereference in scan_get_next_rmap_item() -
    CVE-2011-2183
    - LP: #869227
    - CVE-2011-2183
  * NLM: Don't hang forever on NLM unlock requests - CVE-2011-2491
    - LP: #869237
    - CVE-2011-2491
  * KVM: fix kvmclock regression due to missing clock update
    - LP: #795717
  * drm/i915: don't enable plane, pipe and PLL prematurely
    - LP: #812638
  * drm/i915: add pipe/plane enable/disable functions
    - LP: #812638
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 29 Nov 2011 ...

Read more...

Changed in linux-lts-backport-natty (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ti-omap4 - 2.6.35-903.28

---------------
linux-ti-omap4 (2.6.35-903.28) maverick-proposed; urgency=low

  * Release Tracking Bug
    - LP: #897740

  [ Upstream Kernel Changes ]

  * crypto: ghash - Avoid null pointer dereference if no key is set
    - LP: #887299
    - CVE-2011-4081
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * hfs: add sanity check for file name length, CVE-2011-4330
    - LP: #894374
    - CVE-2011-4330
  * ipv6: udp: fix the wrong headroom check
    - LP: #894373
    - CVE-2011-4326
  * mm: make the vma list be doubly linked
    - LP: #893190
  * mm: make the mlock() stack guard page checks stricter
    - LP: #893190
  * mm: make stack guard page logic use vm_prev pointer
    - LP: #893190
  * mm: Move vma_stack_continue into mm.h
    - LP: #672664, #893190
  * Yama: fix default relationship to check thread group
    - LP: #737676, #893190
  * Yama: use thread group leader when creating match
    - LP: #729839, #893190
 -- Paolo Pisati <email address hidden> Fri, 02 Dec 2011 13:04:02 +0100

Changed in linux-ti-omap4 (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (9.6 KiB)

This bug was fixed in the package linux-mvl-dove - 2.6.32-421.39

---------------
linux-mvl-dove (2.6.32-421.39) maverick-proposed; urgency=low

  * Release Tracking Bug
    - LP: #897742

  [ Paolo Pisati ]

  * Rebased to 2.6.32-37.80

  [ Ubuntu: 2.6.32-37.80 ]

  * Release Tracking Bug
    - LP: #898283
  * Revert "x86, hotplug: Use mwait to offline a processor, fix the legacy
    case"
    - LP: #888042
  * Revert "usb: musb: restore INDEX register in resume path"
    - LP: #888042
  * Revert "MIPS: MTX-1: Make au1000_eth probe all PHY
    - LP: #888042
  * Revert "ALSA: hda: Fix quirk for Dell Inspiron 910"
    - LP: #875300
  * USB: ftdi_sio: add Calao reference board support
    - LP: #888042
  * USB: EHCI: Do not rely on PORT_SUSPEND to stop USB resuming in
    ehci_bus_resume().
    - LP: #888042
  * rt2x00: do not drop usb dev reference counter on suspend
    - LP: #888042
  * atm: br2684: Fix oops due to skb->dev being NULL
    - LP: #888042
  * sparc: Allow handling signals when stack is corrupted.
    - LP: #888042
  * sparc: fix array bounds error setting up PCIC NMI trap
    - LP: #888042
  * net: Fix IPv6 GSO type checks in Intel ethernet drivers
    - LP: #888042
  * ipv6: Add GSO support on forwarding path
    - LP: #888042
  * GRO: fix merging a paged skb after non-paged skbs
    - LP: #888042
  * xen-blkfront: fix data size for xenbus_gather in blkfront_connect
    - LP: #888042
  * md/linear: avoid corrupting structure while waiting for rcu_free to
    complete.
    - LP: #888042
  * powerpc/pci: Check devices status property when scanning OF tree
    - LP: #888042
  * xen: x86_32: do not enable iterrupts when returning from exception in
    interrupt context
    - LP: #888042
  * xen/smp: Warn user why they keel over - nosmp or noapic and what to use
    instead.
    - LP: #888042
  * ARM: davinci: da850 EVM: read mac address from SPI flash
    - LP: #888042
  * md: Fix handling for devices from 2TB to 4TB in 0.90 metadata.
    - LP: #888042
  * net/9p: fix client code to fail more gracefully on protocol error
    - LP: #888042
  * fs/9p: Fid is not valid after a failed clunk.
    - LP: #888042
  * net/9p: Fix the msize calculation.
    - LP: #888042
  * irda: fix smsc-ircc2 section mismatch warning
    - LP: #888042
  * qla2xxx: Correct inadvertent loop state transitions during port-update
    handling.
    - LP: #888042
  * e1000: Fix driver to be used on PA RISC C8000 workstations
    - LP: #888042
  * ASoC: Fix reporting of partial jack updates
    - LP: #888042
  * ALSA: HDA: Cirrus - fix "Surround Speaker" volume control name
    - LP: #888042
  * b43: Fix beacon problem in ad-hoc mode
    - LP: #888042
  * wireless: Reset beacon_found while updating regulatory
    - LP: #888042
  * USB: PL2303: correctly handle baudrates above 115200
    - LP: #888042
  * ASIX: Add AX88772B USB ID
    - LP: #888042
  * hvc_console: Improve tty/console put_chars handling
    - LP: #888042
  * TPM: Call tpm_transmit with correct size
    - LP: #888042
  * TPM: Zero buffer after copying to userspace
    - LP: #888042
  * libiscsi_tcp: fix LLD data allocation
    - LP: #888042
  * cnic: Improve NETDEV_UP event handling
    - LP: #888...

Read more...

Changed in linux-mvl-dove (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (10.0 KiB)

This bug was fixed in the package linux-ec2 - 2.6.32-341.42

---------------
linux-ec2 (2.6.32-341.42) lucid-proposed; urgency=low

  [Stefan Bader]

  * Release Tracking Bug
    - LP: #900752
  * XEN: xen-blkfront: fix data size for xenbus_gather in blkfront_connect
    - LP: #888042

linux-ec2 (2.6.32-341.41) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Release Tracking Bug
    - LP: #899737
  * Revert "SAUCE: XEN: Import 26ab8408157fbbc669e1aab1f271bb3cb1c433d0"
    - LP: #888042
  * Rebased to Ubuntu-Ubuntu-2.6.32-37.81

  [ Ubuntu: 2.6.32-37.81 ]

  * (pre-stable) sparc: sigutil: Include <linux/errno.h>
    - LP: #899311

  [ Ubuntu: 2.6.32-37.80 ]

  * Revert "x86, hotplug: Use mwait to offline a processor, fix the legacy
    case"
    - LP: #888042
  * Revert "usb: musb: restore INDEX register in resume path"
    - LP: #888042
  * Revert "MIPS: MTX-1: Make au1000_eth probe all PHY
    - LP: #888042
  * Revert "ALSA: hda: Fix quirk for Dell Inspiron 910"
    - LP: #875300
  * USB: ftdi_sio: add Calao reference board support
    - LP: #888042
  * USB: EHCI: Do not rely on PORT_SUSPEND to stop USB resuming in
    ehci_bus_resume().
    - LP: #888042
  * rt2x00: do not drop usb dev reference counter on suspend
    - LP: #888042
  * atm: br2684: Fix oops due to skb->dev being NULL
    - LP: #888042
  * sparc: Allow handling signals when stack is corrupted.
    - LP: #888042
  * sparc: fix array bounds error setting up PCIC NMI trap
    - LP: #888042
  * net: Fix IPv6 GSO type checks in Intel ethernet drivers
    - LP: #888042
  * ipv6: Add GSO support on forwarding path
    - LP: #888042
  * GRO: fix merging a paged skb after non-paged skbs
    - LP: #888042
  * xen-blkfront: fix data size for xenbus_gather in blkfront_connect
    - LP: #888042
  * md/linear: avoid corrupting structure while waiting for rcu_free to
    complete.
    - LP: #888042
  * powerpc/pci: Check devices status property when scanning OF tree
    - LP: #888042
  * xen: x86_32: do not enable iterrupts when returning from exception in
    interrupt context
    - LP: #888042
  * xen/smp: Warn user why they keel over - nosmp or noapic and what to use
    instead.
    - LP: #888042
  * ARM: davinci: da850 EVM: read mac address from SPI flash
    - LP: #888042
  * md: Fix handling for devices from 2TB to 4TB in 0.90 metadata.
    - LP: #888042
  * net/9p: fix client code to fail more gracefully on protocol error
    - LP: #888042
  * fs/9p: Fid is not valid after a failed clunk.
    - LP: #888042
  * net/9p: Fix the msize calculation.
    - LP: #888042
  * irda: fix smsc-ircc2 section mismatch warning
    - LP: #888042
  * qla2xxx: Correct inadvertent loop state transitions during port-update
    handling.
    - LP: #888042
  * e1000: Fix driver to be used on PA RISC C8000 workstations
    - LP: #888042
  * ASoC: Fix reporting of partial jack updates
    - LP: #888042
  * ALSA: HDA: Cirrus - fix "Surround Speaker" volume control name
    - LP: #888042
  * b43: Fix beacon problem in ad-hoc mode
    - LP: #888042
  * wireless: Reset beacon_found while updating regulatory
    - LP: #888042
  * USB: PL2303: correctly handle baudrates above 115200
    - LP: #888042
  * AS...

Changed in linux-ec2 (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-fsl-imx51 - 2.6.31-612.31

---------------
linux-fsl-imx51 (2.6.31-612.31) lucid-proposed; urgency=low

  * Release Tracking Bug
    - LP: #899736

  [ Upstream Kernel Changes ]

  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * hfs: add sanity check for file name length, CVE-2011-4330
    - LP: #894374
    - CVE-2011-4330
 -- Paolo Pisati <email address hidden> Mon, 05 Dec 2011 09:32:22 +0100

Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-13.53

---------------
linux (2.6.38-13.53) natty-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #897320

  [ Upstream Kernel Changes ]

  * cifs, freezer: add wait_event_freezekillable and have cifs use it
    - LP: #24330
  * Fixup trivial checkpatch warning
    - LP: #24330
  * Fix build break when freezer not configured
    - LP: #24330
  * PM / Freezer: Reimplement wait_event_freezekillable using
    freezer_do_not_count/freezer_count
    - LP: #24330
  * crypto: ghash - Avoid null pointer dereference if no key is set
    - LP: #887299
    - CVE-2011-4081
  * ata_piix: make DVD Drive recognisable on systems with Intel Sandybridge
    chipsets(v2)
    - LP: #737388, #782389, #794642
  * drm/i915: fix CB tuning check for ILK+
    - LP: #891031
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * hfs: add sanity check for file name length, CVE-2011-4330
    - LP: #894374
    - CVE-2011-4330
 -- Brad Figg <email address hidden> Mon, 28 Nov 2011 09:48:40 -0800

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (14.1 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.0.0-1206.15

---------------
linux-ti-omap4 (3.0.0-1206.15) oneiric-proposed; urgency=low

  * Release Tracking Bug
    - LP: #911102

  [ Ubuntu: 3.0.0-15.25 ]

  * Release Tracking Bug
    - LP: #910894
  * Revert "clockevents: Set noop handler in clockevents_exchange_device()"
    - LP: #904569

linux-ti-omap4 (3.0.0-1206.14) oneiric-proposed; urgency=low

  * Release Tracking Bug
    - LP: #903695

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.0.0-15.24
  * [Config] updateconfigs (PL310_ERRATA_769419=N)

  [ Upstream Kernel Changes ]

  * use cache type functions for arch_get_unmapped_area
  * topdown mmap support

  [ Ubuntu: 3.0.0-15.24 ]

  * Release Tracking Bug
    - LP: #903188
  * (config) Change Xen paravirt drivers to be built-in
    - LP: #886521
  * Revert "SAUCE: HID: hid-ntrig: add support for 1b96:0006 model"
    - LP: #724831
  * Revert "SAUCE: hid: ntrig: Remove unused device ids"
    - LP: #724831
  * SAUCE: dell-wmi: Demote unknown WMI event message to pr_debug
    - LP: #581312
  * Revert "leds: save the delay values after a successful call to
    blink_set()"
    - LP: #893741
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * drm/i915: fix IVB cursor support
    - LP: #893222
  * drm/i915: always set FDI composite sync bit
    - LP: #893222
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * ALSA: hda - Don't add elements of other codecs to vmaster slave
    - LP: #893741
  * virtio-pci: fix use after free
    - LP: #893741
  * ASoC: Don't use wm8994->control_data in wm8994_readable_register()
    - LP: #893741
  * sh: Fix cached/uncaced address calculation in 29bit mode
    - LP: #893741
  * drm/i915: Fix object refcount leak on mmappable size limit error path.
    - LP: #893741
  * drm/nouveau: initialize chan->fence.lock before use
    - LP: #893741
  * drm/radeon/kms: make an aux failure debug only
    - LP: #893741
  * ALSA: usb-audio - Check the dB-range validity in the later read, too
    - LP: #893741
  * ALSA: usb-audio - Fix the missing volume quirks at delayed init
    - LP: #893741
  * KEYS: Fix a NULL pointer deref in the user-defined key type
    - LP: #893741
  * hfs: add sanity check for file name length
    - LP: #893741
  * drm/radeon: add some missing FireMV pci ids
    - LP: #893741
  * sfi: table irq 0xFF means 'no interrupt'
    - LP: #893741
  * x86, mrst: use a temporary variable for SFI irq
    - LP: #893741
  * b43: refuse to load unsupported firmware
    - LP: #893741
  * md/raid5: abort any pending parity operations when array fails.
    - LP: #893741
  * mfd: Fix twl4030 dependencies for audio codec
    - LP: #893741
  * xen:pvhvm: enable PVHVM VCPU placement when using more than 32 CPUs.
    - LP: #893741
  * xen-gntalloc: integer overflow in gntalloc_ioctl_alloc()
    - LP: #893741
  * xen-gntalloc: signedness bug in add_grefs()
    - LP: #893741
  * powerpc/ps3: Fix lost SMP IPIs
    - LP: #893741
  * powerpc: Copy down exception vectors after feature fixups
    - LP: #893741
  * backing-dev: ensure wakeup_timer is deleted
...

Changed in linux-ti-omap4 (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (38.6 KiB)

This bug was fixed in the package linux-lts-backport-oneiric - 3.0.0-15.25~lucid1

---------------
linux-lts-backport-oneiric (3.0.0-15.25~lucid1) lucid-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #911103

  [ Upstream Kernel Changes ]

  * Revert "clockevents: Set noop handler in clockevents_exchange_device()"
    - LP: #904569

linux (3.0.0-15.24) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #903188

  [ Alex Bligh ]

  * (config) Change Xen paravirt drivers to be built-in
    - LP: #886521

  [ Chase Douglas ]

  * Revert "SAUCE: HID: hid-ntrig: add support for 1b96:0006 model"
    - LP: #724831
  * Revert "SAUCE: hid: ntrig: Remove unused device ids"
    - LP: #724831

  [ Seth Forshee ]

  * SAUCE: dell-wmi: Demote unknown WMI event message to pr_debug
    - LP: #581312

  [ Upstream Kernel Changes ]

  * Revert "leds: save the delay values after a successful call to
    blink_set()"
    - LP: #893741
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * drm/i915: fix IVB cursor support
    - LP: #893222
  * drm/i915: always set FDI composite sync bit
    - LP: #893222
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * ALSA: hda - Don't add elements of other codecs to vmaster slave
    - LP: #893741
  * virtio-pci: fix use after free
    - LP: #893741
  * ASoC: Don't use wm8994->control_data in wm8994_readable_register()
    - LP: #893741
  * sh: Fix cached/uncaced address calculation in 29bit mode
    - LP: #893741
  * drm/i915: Fix object refcount leak on mmappable size limit error path.
    - LP: #893741
  * drm/nouveau: initialize chan->fence.lock before use
    - LP: #893741
  * drm/radeon/kms: make an aux failure debug only
    - LP: #893741
  * ALSA: usb-audio - Check the dB-range validity in the later read, too
    - LP: #893741
  * ALSA: usb-audio - Fix the missing volume quirks at delayed init
    - LP: #893741
  * KEYS: Fix a NULL pointer deref in the user-defined key type
    - LP: #893741
  * hfs: add sanity check for file name length
    - LP: #893741
  * drm/radeon: add some missing FireMV pci ids
    - LP: #893741
  * sfi: table irq 0xFF means 'no interrupt'
    - LP: #893741
  * x86, mrst: use a temporary variable for SFI irq
    - LP: #893741
  * b43: refuse to load unsupported firmware
    - LP: #893741
  * md/raid5: abort any pending parity operations when array fails.
    - LP: #893741
  * mfd: Fix twl4030 dependencies for audio codec
    - LP: #893741
  * xen:pvhvm: enable PVHVM VCPU placement when using more than 32 CPUs.
    - LP: #893741
  * xen-gntalloc: integer overflow in gntalloc_ioctl_alloc()
    - LP: #893741
  * xen-gntalloc: signedness bug in add_grefs()
    - LP: #893741
  * powerpc/ps3: Fix lost SMP IPIs
    - LP: #893741
  * powerpc: Copy down exception vectors after feature fixups
    - LP: #893741
  * backing-dev: ensure wakeup_timer is deleted
    - LP: #893741
  * block: Always check length of all iov entries in blk_rq_map_user_iov()
    - LP: #893741
  * Linux 3.0.10
    - LP: #893741
  * drm/i915: add multi-thr...

Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
status: Fix Committed → Fix Released
description: updated
Changed in linux-mvl-dove (Ubuntu Maverick):
status: Fix Released → Invalid
Changed in linux (Ubuntu Maverick):
status: Fix Released → Invalid
Changed in linux-ti-omap4 (Ubuntu Maverick):
status: Fix Released → Invalid
John Johansen (jjohansen) wrote :

revert scripting error

Changed in linux (Ubuntu Maverick):
status: Invalid → Fix Released
Changed in linux-mvl-dove (Ubuntu Maverick):
status: Invalid → Fix Released
Changed in linux-ti-omap4 (Ubuntu Maverick):
status: Invalid → Fix Released
Changed in linux-armadaxp (Ubuntu Maverick):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Oneiric):
status: New → Invalid
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Hardy):
status: New → Invalid
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Natty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-armadaxp (Ubuntu Quantal):
status: New → Fix Committed
importance: Undecided → Low
Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Ike Panhc (ikepanhc) on 2012-09-20
Changed in linux-armadaxp (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in linux-armadaxp (Ubuntu Quantal):
status: Fix Committed → Fix Released
Paolo Pisati (p-pisati) on 2012-09-20
Changed in linux-ti-omap4 (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in linux-ti-omap4 (Ubuntu Quantal):
status: Fix Committed → Fix Released
no longer affects: linux-armadaxp (Ubuntu Maverick)
no longer affects: linux-armadaxp (Ubuntu Natty)
no longer affects: linux-ec2 (Ubuntu Maverick)
no longer affects: linux-ec2 (Ubuntu Natty)
no longer affects: linux-lts-backport-oneiric (Ubuntu Maverick)
no longer affects: linux-lts-backport-oneiric (Ubuntu Natty)
no longer affects: linux-lts-backport-natty (Ubuntu Maverick)
no longer affects: linux-lts-backport-natty (Ubuntu Natty)
no longer affects: linux-lts-quantal (Ubuntu Maverick)
no longer affects: linux-lts-quantal (Ubuntu Natty)
no longer affects: linux-mvl-dove (Ubuntu Maverick)
no longer affects: linux-mvl-dove (Ubuntu Natty)
no longer affects: linux-lts-backport-maverick (Ubuntu Maverick)
no longer affects: linux-lts-backport-maverick (Ubuntu Natty)
no longer affects: linux (Ubuntu Maverick)
no longer affects: linux (Ubuntu Natty)
no longer affects: linux-fsl-imx51 (Ubuntu Maverick)
no longer affects: linux-fsl-imx51 (Ubuntu Natty)
no longer affects: linux-ti-omap4 (Ubuntu Maverick)
no longer affects: linux-ti-omap4 (Ubuntu Natty)
Changed in linux-lts-quantal (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Oneiric):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Raring):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Hardy):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Quantal):
status: New → Invalid
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Raring):
status: Fix Released → Invalid
Changed in linux-lts-raring (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Oneiric):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Saucy):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Hardy):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Quantal):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Raring):
status: New → Invalid
importance: Undecided → Low
no longer affects: linux-armadaxp (Ubuntu Hardy)
no longer affects: linux-armadaxp (Ubuntu Oneiric)
no longer affects: linux-ec2 (Ubuntu Hardy)
no longer affects: linux-ec2 (Ubuntu Oneiric)
no longer affects: linux-lts-backport-oneiric (Ubuntu Hardy)
no longer affects: linux-lts-backport-oneiric (Ubuntu Oneiric)
no longer affects: linux-lts-backport-natty (Ubuntu Hardy)
no longer affects: linux-lts-backport-natty (Ubuntu Oneiric)
no longer affects: linux-lts-quantal (Ubuntu Hardy)
no longer affects: linux-lts-quantal (Ubuntu Oneiric)
no longer affects: linux-mvl-dove (Ubuntu Hardy)
no longer affects: linux-mvl-dove (Ubuntu Oneiric)
no longer affects: linux-lts-backport-maverick (Ubuntu Hardy)
no longer affects: linux-lts-backport-maverick (Ubuntu Oneiric)
no longer affects: linux (Ubuntu Hardy)
no longer affects: linux (Ubuntu Oneiric)
no longer affects: linux-fsl-imx51 (Ubuntu Hardy)
no longer affects: linux-fsl-imx51 (Ubuntu Oneiric)
no longer affects: linux-ti-omap4 (Ubuntu Hardy)
no longer affects: linux-ti-omap4 (Ubuntu Oneiric)
no longer affects: linux-lts-raring (Ubuntu Hardy)
no longer affects: linux-lts-raring (Ubuntu Oneiric)
Changed in linux-lts-saucy (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-saucy (Ubuntu Saucy):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-saucy (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-saucy (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-saucy (Ubuntu Quantal):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-saucy (Ubuntu Raring):
status: New → Invalid
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Trusty):
status: Fix Released → Invalid
no longer affects: linux-armadaxp (Ubuntu Raring)
no longer affects: linux-ec2 (Ubuntu Raring)
no longer affects: linux-lts-saucy (Ubuntu Raring)
no longer affects: linux-lts-quantal (Ubuntu Raring)
no longer affects: linux-mvl-dove (Ubuntu Raring)
no longer affects: linux (Ubuntu Raring)
no longer affects: linux-fsl-imx51 (Ubuntu Raring)
no longer affects: linux-ti-omap4 (Ubuntu Raring)
no longer affects: linux-lts-raring (Ubuntu Raring)
no longer affects: linux-armadaxp (Ubuntu Quantal)
no longer affects: linux-ec2 (Ubuntu Quantal)
no longer affects: linux-lts-saucy (Ubuntu Quantal)
no longer affects: linux-lts-quantal (Ubuntu Quantal)
no longer affects: linux-mvl-dove (Ubuntu Quantal)
no longer affects: linux (Ubuntu Quantal)
no longer affects: linux-fsl-imx51 (Ubuntu Quantal)
no longer affects: linux-ti-omap4 (Ubuntu Quantal)
no longer affects: linux-lts-raring (Ubuntu Quantal)
no longer affects: linux-armadaxp (Ubuntu Saucy)
no longer affects: linux-ec2 (Ubuntu Saucy)
no longer affects: linux-lts-saucy (Ubuntu Saucy)
no longer affects: linux-lts-quantal (Ubuntu Saucy)
no longer affects: linux-mvl-dove (Ubuntu Saucy)
no longer affects: linux (Ubuntu Saucy)
no longer affects: linux-fsl-imx51 (Ubuntu Saucy)
no longer affects: linux-ti-omap4 (Ubuntu Saucy)
no longer affects: linux-lts-raring (Ubuntu Saucy)
Changed in linux-lts-trusty (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-trusty (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-trusty (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-trusty (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-trusty (Ubuntu Utopic):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-utopic (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-utopic (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-utopic (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-utopic (Ubuntu Utopic):
status: New → Invalid
importance: Undecided → Low
Changed in linux-goldfish (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-goldfish (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-goldfish (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-goldfish (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-goldfish (Ubuntu Utopic):
status: New → Invalid
importance: Undecided → Low
Changed in linux-flo (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-flo (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-flo (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-flo (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-flo (Ubuntu Utopic):
status: New → Invalid
importance: Undecided → Low
Changed in linux-mako (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-mako (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-mako (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-mako (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-mako (Ubuntu Utopic):
status: New → Invalid
importance: Undecided → Low
Changed in linux-manta (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-manta (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-manta (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-manta (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-manta (Ubuntu Utopic):
status: New → Invalid
importance: Undecided → Low
no longer affects: linux-lts-trusty (Ubuntu Lucid)
no longer affects: linux-armadaxp (Ubuntu Lucid)
no longer affects: linux-ec2 (Ubuntu Lucid)
no longer affects: linux-goldfish (Ubuntu Lucid)
no longer affects: linux-lts-saucy (Ubuntu Lucid)
no longer affects: linux-lts-quantal (Ubuntu Lucid)
no longer affects: linux-mvl-dove (Ubuntu Lucid)
no longer affects: linux-ti-omap4 (Ubuntu Lucid)
no longer affects: linux (Ubuntu Lucid)
no longer affects: linux-mako (Ubuntu Lucid)
no longer affects: linux-fsl-imx51 (Ubuntu Lucid)
no longer affects: linux-lts-utopic (Ubuntu Lucid)
no longer affects: linux-flo (Ubuntu Lucid)
no longer affects: linux-lts-raring (Ubuntu Lucid)
no longer affects: linux-manta (Ubuntu Lucid)
Changed in linux-lts-vivid (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-vivid (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-vivid (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-vivid (Ubuntu Utopic):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-vivid (Ubuntu Trusty):
status: New → Fix Committed
importance: Undecided → Low
no longer affects: linux-lts-trusty (Ubuntu Utopic)
no longer affects: linux-armadaxp (Ubuntu Utopic)
no longer affects: linux-ec2 (Ubuntu Utopic)
no longer affects: linux-goldfish (Ubuntu Utopic)
no longer affects: linux-lts-saucy (Ubuntu Utopic)
no longer affects: linux-lts-quantal (Ubuntu Utopic)
no longer affects: linux-mvl-dove (Ubuntu Utopic)
no longer affects: linux-ti-omap4 (Ubuntu Utopic)
no longer affects: linux-lts-vivid (Ubuntu Utopic)
no longer affects: linux (Ubuntu Utopic)
no longer affects: linux-mako (Ubuntu Utopic)
no longer affects: linux-fsl-imx51 (Ubuntu Utopic)
no longer affects: linux-lts-utopic (Ubuntu Utopic)
no longer affects: linux-flo (Ubuntu Utopic)
no longer affects: linux-lts-raring (Ubuntu Utopic)
no longer affects: linux-manta (Ubuntu Utopic)
Changed in linux (Ubuntu Precise):
status: Fix Released → Invalid
Changed in linux (Ubuntu Trusty):
status: Fix Released → Invalid
Changed in linux (Ubuntu Vivid):
status: Fix Released → Invalid
Changed in linux (Ubuntu Wily):
status: Fix Released → Invalid
Changed in linux-armadaxp (Ubuntu Precise):
status: Fix Released → Invalid
Changed in linux-lts-vivid (Ubuntu Trusty):
status: Fix Committed → Invalid
Changed in linux-ti-omap4 (Ubuntu Precise):
status: Fix Released → Invalid
Steve Beattie (sbeattie) on 2015-11-10
Changed in linux-lts-wily (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-wily (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-wily (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-wily (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-wily (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Low
Steve Beattie (sbeattie) on 2015-11-14
Changed in linux-raspi2 (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-raspi2 (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Low
Changed in linux-raspi2 (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → Low
Changed in linux-raspi2 (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → Low
Changed in linux-raspi2 (Ubuntu Vivid):
status: New → Invalid
importance: Undecided → Low
Steve Beattie (sbeattie) on 2015-12-02
Changed in linux-raspi2 (Ubuntu Xenial):
status: Invalid → Fix Committed
Steve Beattie (sbeattie) on 2016-02-09
Changed in linux-lts-xenial (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-xenial (Ubuntu Wily):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-xenial (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-xenial (Ubuntu Trusty):
status: New → Fix Committed
importance: Undecided → Low

This bug was nominated against a series that is no longer supported, ie vivid. The bug task representing the vivid nomination is being closed as Won't Fix.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux-lts-xenial (Ubuntu Vivid):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers